local BabbleZone = AceLibrary("Babble-Zone-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

local ORANGE = "|cffFF8400";

function AtlasLootWorldEventMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    getglobal("AtlasLootItemsFrame_BACK"):Hide();
    --Children's Week
    AtlasLootMenuItem_2_Name:SetText(AL["Children's Week"]);
    AtlasLootMenuItem_2_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\Ability_Hunter_BeastCall");
    AtlasLootMenuItem_2.type="WorldEvent";
    AtlasLootMenuItem_2.lootpage="ChildrensWeek";
    AtlasLootMenuItem_2.text=AL["Children's Week"];
    AtlasLootMenuItem_2:Show();
    --Hallow's End
    AtlasLootMenuItem_3_Name:SetText(AL["Hallow's End"]);
    AtlasLootMenuItem_3_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Misc_Bag_28_Halloween");
    AtlasLootMenuItem_3.type="WorldEvent";
    AtlasLootMenuItem_3.lootpage="Halloween1";
    AtlasLootMenuItem_3.text=AL["Hallow's End"];
    AtlasLootMenuItem_3:Show();
    --Love is in the Air
    AtlasLootMenuItem_4_Name:SetText(AL["Love is in the Air"]);
    AtlasLootMenuItem_4_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_ValentinesBoxOfChocolates02");
    AtlasLootMenuItem_4.type="WorldEvent";
    AtlasLootMenuItem_4.lootpage="Valentineday";
    AtlasLootMenuItem_4.text=AL["Love is in the Air"];
    AtlasLootMenuItem_4:Show();
    --Midsummer Fire Festival
    AtlasLootMenuItem_5_Name:SetText(AL["Midsummer Fire Festival"]);
    AtlasLootMenuItem_5_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\INV_SummerFest_FireFlower");
    AtlasLootMenuItem_5.type="WorldEvent";
    AtlasLootMenuItem_5.lootpage="MidsummerFestival";
    AtlasLootMenuItem_5.text=AL["Midsummer Fire Festival"];
    AtlasLootMenuItem_5:Show();
    --Bash'ir Landing Skyguard Raid
    AtlasLootMenuItem_7_Name:SetText(AL["Bash'ir Landing Skyguard Raid"]);
    AtlasLootMenuItem_7_Extra:SetText(ORANGE..BabbleZone["Blade's Edge Mountains"]);
    AtlasLootMenuItem_7_Icon:SetTexture("Interface\\Icons\\INV_Trinket_Naxxramas02");
    AtlasLootMenuItem_7.type="WorldEvent";
    AtlasLootMenuItem_7.lootpage="BashirLanding";
    AtlasLootMenuItem_7.text=AL["Bash'ir Landing Skyguard Raid"];
    AtlasLootMenuItem_7:Show();
    --Gurubashi Arena Booty Run
    AtlasLootMenuItem_8_Name:SetText(AL["Gurubashi Arena Booty Run"]);
    AtlasLootMenuItem_8_Extra:SetText(ORANGE..BabbleZone["Stranglethorn Vale"]);
    AtlasLootMenuItem_8_Icon:SetTexture("Interface\\Icons\\INV_Box_02");
    AtlasLootMenuItem_8.type="WorldEvent";
    AtlasLootMenuItem_8.lootpage="GurubashiArena";
    AtlasLootMenuItem_8.text=AL["Gurubashi Arena Booty Run"];
    AtlasLootMenuItem_8:Show();
    --Shartuul
    AtlasLootMenuItem_9_Name:SetText(AL["Shartuul"]);
    AtlasLootMenuItem_9_Extra:SetText(ORANGE..BabbleZone["Blade's Edge Mountains"]);
    AtlasLootMenuItem_9_Icon:SetTexture("Interface\\Icons\\INV_Misc_Rune_04");
    AtlasLootMenuItem_9.type="WorldEvent";
    AtlasLootMenuItem_9.lootpage="Shartuul";
    AtlasLootMenuItem_9.text=AL["Shartuul"];
    AtlasLootMenuItem_9:Show();
    --Abyssal Council
    AtlasLootMenuItem_11_Name:SetText(AL["Abyssal Council"]);
    AtlasLootMenuItem_11_Extra:SetText(ORANGE..BabbleZone["Silithus"]);
    AtlasLootMenuItem_11_Icon:SetTexture("Interface\\Icons\\INV_Staff_13");
    AtlasLootMenuItem_11.type="WorldEvent";
    AtlasLootMenuItem_11.lootpage="ABYSSALMENU";
    AtlasLootMenuItem_11.text=AL["Abyssal Council"];
    AtlasLootMenuItem_11:Show();
    --Skettis
    AtlasLootMenuItem_12_Name:SetText(AL["Skettis"]);
    AtlasLootMenuItem_12_Extra:SetText(ORANGE..BabbleZone["Terokkar Forest"]);
    AtlasLootMenuItem_12_Icon:SetTexture("Interface\\Icons\\Spell_Nature_NaturesWrath");
    AtlasLootMenuItem_12.type="WorldEvent";
    AtlasLootMenuItem_12.lootpage="SKETTISMENU";
    AtlasLootMenuItem_12.text=AL["Skettis"];
    AtlasLootMenuItem_12:Show();
    --Feast of Winter Veil
    AtlasLootMenuItem_17_Name:SetText(AL["Feast of Winter Veil"]);
    AtlasLootMenuItem_17_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Holiday_Christmas_Present_01");
    AtlasLootMenuItem_17.type="WorldEvent";
    AtlasLootMenuItem_17.lootpage="Winterviel1";
    AtlasLootMenuItem_17.text=AL["Feast of Winter Veil"];
    AtlasLootMenuItem_17:Show();
    --Harvest Festival
    AtlasLootMenuItem_18_Name:SetText(AL["Harvest Festival"]);
    AtlasLootMenuItem_18_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Misc_Food_33");
    AtlasLootMenuItem_18.type="WorldEvent";
    AtlasLootMenuItem_18.lootpage="HarvestFestival";
    AtlasLootMenuItem_18.text=AL["Harvest Festival"];
    AtlasLootMenuItem_18:Show();
    --Lunar Festival
    AtlasLootMenuItem_19_Name:SetText(AL["Lunar Festival"]);
    AtlasLootMenuItem_19_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Misc_ElvenCoins");
    AtlasLootMenuItem_19.type="WorldEvent";
    AtlasLootMenuItem_19.lootpage="LunarFestival1";
    AtlasLootMenuItem_19.text=AL["Lunar Festival"];
    AtlasLootMenuItem_19:Show();
    --Noblegarden
    AtlasLootMenuItem_20_Name:SetText(AL["Noblegarden"]);
    AtlasLootMenuItem_20_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_20_Icon:SetTexture("Interface\\Icons\\INV_Egg_03");
    AtlasLootMenuItem_20.type="WorldEvent";
    AtlasLootMenuItem_20.lootpage="Noblegarden";
    AtlasLootMenuItem_20.text=AL["Noblegarden"];
    AtlasLootMenuItem_20:Show();
    --Elemental Invasion
    AtlasLootMenuItem_22_Name:SetText(AL["Elemental Invasion"]);
    AtlasLootMenuItem_22_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_22_Icon:SetTexture("Interface\\Icons\\INV_DataCrystal03");
    AtlasLootMenuItem_22.type="WorldEvent";
    AtlasLootMenuItem_22.lootpage="ElementalInvasion";
    AtlasLootMenuItem_22.text=AL["Elemental Invasion"];
    AtlasLootMenuItem_22:Show();
    --Scourge Invasion
    AtlasLootMenuItem_23_Name:SetText(AL["Scourge Invasion"]);
    AtlasLootMenuItem_23_Extra:SetText(ORANGE..AL["Various Locations"]);
    AtlasLootMenuItem_23_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Talisman_13");
    AtlasLootMenuItem_23.type="WorldEvent";
    AtlasLootMenuItem_23.lootpage="ScourgeInvasionEvent1";
    AtlasLootMenuItem_23.text=AL["Scourge Invasion"];
    AtlasLootMenuItem_23:Show();
    --Stranglethorn Fishing Extravaganza
    AtlasLootMenuItem_24_Name:SetText(AL["Stranglethorn Fishing Extravaganza"]);
    AtlasLootMenuItem_24_Extra:SetText(ORANGE..BabbleZone["Stranglethorn Vale"]);
    AtlasLootMenuItem_24_Icon:SetTexture("Interface\\Icons\\INV_Fishingpole_02");
    AtlasLootMenuItem_24.type="WorldEvent";
    AtlasLootMenuItem_24.lootpage="FishingExtravaganza";
    AtlasLootMenuItem_24.text=AL["Stranglethorn Fishing Extravaganza"];
    AtlasLootMenuItem_24:Show();
    --Ethereum Prison
    AtlasLootMenuItem_26_Name:SetText(AL["Ethereum Prison"]);
    AtlasLootMenuItem_26_Extra:SetText("");
    AtlasLootMenuItem_26_Icon:SetTexture("Interface\\Icons\\INV_Misc_PunchCards_Prismatic");
    AtlasLootMenuItem_26.type="WorldEvent";
    AtlasLootMenuItem_26.lootpage="ETHEREUMMENU";
    AtlasLootMenuItem_26.text=AL["Ethereum Prison"];
    AtlasLootMenuItem_26:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["World Events"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootSkettisMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "WORLDEVENTMENU";
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    --Darkscreecher Akkarai
    AtlasLootMenuItem_2_Name:SetText(AL["Darkscreecher Akkarai"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\Spell_Nature_NaturesWrath");
    AtlasLootMenuItem_2.type="WorldEvent";
    AtlasLootMenuItem_2.lootpage="DarkscreecherAkkarai";
    AtlasLootMenuItem_2:Show();
    --Karrog
    AtlasLootMenuItem_17_Name:SetText(AL["Karrog"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_DataCrystal08");
    AtlasLootMenuItem_17.type="WorldEvent";
    AtlasLootMenuItem_17.lootpage="Karrog";
    AtlasLootMenuItem_17:Show();
    --Gezzarak the Huntress
    AtlasLootMenuItem_3_Name:SetText(AL["Gezzarak the Huntress"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Misc_MonsterClaw_01");
    AtlasLootMenuItem_3.type="WorldEvent";
    AtlasLootMenuItem_3.lootpage="GezzaraktheHuntress";
    AtlasLootMenuItem_3:Show();
    --Vakkiz the Windrager
    AtlasLootMenuItem_18_Name:SetText(AL["Vakkiz the Windrager"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Misc_MonsterScales_13");
    AtlasLootMenuItem_18.type="WorldEvent";
    AtlasLootMenuItem_18.lootpage="VakkiztheWindrager";
    AtlasLootMenuItem_18:Show();
    --Terokk
    AtlasLootMenuItem_4_Name:SetText(AL["Terokk"]);
    AtlasLootMenuItem_4_Extra:SetText("");
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Misc_Cape_08");
    AtlasLootMenuItem_4.type="WorldEvent";
    AtlasLootMenuItem_4.lootpage="Terokk";
    AtlasLootMenuItem_4:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["Skettis"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootEthereumPrisonMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "WORLDEVENTMENU";
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    --Armbreaker Huffaz
    AtlasLootMenuItem_2_Name:SetText(AL["Armbreaker Huffaz"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Ring_59");
    AtlasLootMenuItem_2.type="WorldEvent";
    AtlasLootMenuItem_2.lootpage="ArmbreakerHuffaz";
    AtlasLootMenuItem_2:Show();
    --Fel Tinkerer Zortan
    AtlasLootMenuItem_17_Name:SetText(AL["Fel Tinkerer Zortan"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Boots_Chain_08");
    AtlasLootMenuItem_17.type="WorldEvent";
    AtlasLootMenuItem_17.lootpage="FelTinkererZortan";
    AtlasLootMenuItem_17:Show();
    --Forgosh
    AtlasLootMenuItem_3_Name:SetText(AL["Forgosh"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Boots_05");
    AtlasLootMenuItem_3.type="WorldEvent";
    AtlasLootMenuItem_3.lootpage="Forgosh";
    AtlasLootMenuItem_3:Show();
    --Gul'bor
    AtlasLootMenuItem_18_Name:SetText(AL["Gul'bor"]);
    AtlasLootMenuItem_18_Extra:SetText("");
    AtlasLootMenuItem_18_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Necklace_29Naxxramas");
    AtlasLootMenuItem_18.type="WorldEvent";
    AtlasLootMenuItem_18.lootpage="Gulbor";
    AtlasLootMenuItem_18:Show();
    --Malevus the Mad
    AtlasLootMenuItem_4_Name:SetText(AL["Malevus the Mad"]);
    AtlasLootMenuItem_4_Extra:SetText("");
    AtlasLootMenuItem_4_Icon:SetTexture("Interface\\Icons\\INV_Boots_Chain_04");
    AtlasLootMenuItem_4.type="WorldEvent";
    AtlasLootMenuItem_4.lootpage="MalevustheMad";
    AtlasLootMenuItem_4:Show();
    --Porfus the Gem Gorger
    AtlasLootMenuItem_19_Name:SetText(AL["Porfus the Gem Gorger"]);
    AtlasLootMenuItem_19_Extra:SetText("");
    AtlasLootMenuItem_19_Icon:SetTexture("Interface\\Icons\\INV_Boots_Cloth_01");
    AtlasLootMenuItem_19.type="WorldEvent";
    AtlasLootMenuItem_19.lootpage="PorfustheGemGorger";
    AtlasLootMenuItem_19:Show();
    --Wrathbringer Laz-tarash
    AtlasLootMenuItem_5_Name:SetText(AL["Wrathbringer Laz-tarash"]);
    AtlasLootMenuItem_5_Extra:SetText("");
    AtlasLootMenuItem_5_Icon:SetTexture("Interface\\Icons\\INV_Misc_Orb_01");
    AtlasLootMenuItem_5.type="WorldEvent";
    AtlasLootMenuItem_5.lootpage="WrathbringerLaztarash";
    AtlasLootMenuItem_5:Show();
    --Bash'ir Landing Stasis Chambers
    AtlasLootMenuItem_20_Name:SetText(AL["Bash'ir Landing Stasis Chambers"]);
    AtlasLootMenuItem_20_Extra:SetText("");
    AtlasLootMenuItem_20_Icon:SetTexture("Interface\\Icons\\INV_Trinket_Naxxramas02");
    AtlasLootMenuItem_20.type="WorldEvent";
    AtlasLootMenuItem_20.lootpage="BashirStasisChambers";
    AtlasLootMenuItem_20:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["Ethereum Prison"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end

function AtlasLootAbyssalCouncilMenu()
    for i = 1, 30, 1 do
        getglobal("AtlasLootItem_"..i):Hide();
    end
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i):Hide();
        getglobal("AtlasLootMenuItem_"..i).isheader = false;
    end
    getglobal("AtlasLootItemsFrame_BACK"):Show();
    getglobal("AtlasLootItemsFrame_BACK").lootpage = "WORLDEVENTMENU";
    getglobal("AtlasLootItemsFrame_NEXT"):Hide();
    getglobal("AtlasLootItemsFrame_PREV"):Hide();
    --Templars
    AtlasLootMenuItem_2_Name:SetText(AL["Abyssal Council"].." - "..AL["Templars"]);
    AtlasLootMenuItem_2_Extra:SetText("");
    AtlasLootMenuItem_2_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Talisman_05");
    AtlasLootMenuItem_2.type="WorldEvent";
    AtlasLootMenuItem_2.lootpage="Templars";
    AtlasLootMenuItem_2:Show();
    --Dukes
    AtlasLootMenuItem_17_Name:SetText(AL["Abyssal Council"].." - "..AL["Dukes"]);
    AtlasLootMenuItem_17_Extra:SetText("");
    AtlasLootMenuItem_17_Icon:SetTexture("Interface\\Icons\\INV_Jewelry_Ring_36");
    AtlasLootMenuItem_17.type="WorldEvent";
    AtlasLootMenuItem_17.lootpage="Dukes";
    AtlasLootMenuItem_17:Show();
    --High Council
    AtlasLootMenuItem_3_Name:SetText(AL["Abyssal Council"].." - "..AL["High Council"]);
    AtlasLootMenuItem_3_Extra:SetText("");
    AtlasLootMenuItem_3_Icon:SetTexture("Interface\\Icons\\INV_Staff_13");
    AtlasLootMenuItem_3.type="WorldEvent";
    AtlasLootMenuItem_3.lootpage="HighCouncil";
    AtlasLootMenuItem_3:Show();
    for i = 1, 30, 1 do
        getglobal("AtlasLootMenuItem_"..i.."_Extra"):Show();
    end
    AtlasLoot_BossName:SetText("|cffFFFFFF"..AL["Abyssal Council"]);
    AtlasLoot_SetItemInfoFrame(AtlasLoot_AnchorFrame);
end
